tracker-tag(1)

NAME
tracker-tag - Add, remove and list tags.

SYNOPSIS
tracker-tag [OPTION...] FILE [FILE...]

DESCRIPTION
tracker-tag allows the caller add tags, remove tags and list tags by URN or to list all tags and the files associated with them. The FILE argument can be either a local path or a URI. It also does not have to be an absolute path.

OPTIONS

-?, --help
    Show summary of options.

-l, --limit=N
    Limit search to N results. The default is 512.

-o, --offset=N
    Offset the search results by N. For example, start at item number 10 in the results. The default is 0.

-r, --or-operator
    Use OR for search terms instead of AND (the default)

-t, --list
    List all tags. Results include the number of files associated with that tag and the tag's unique identifier. You can show the files associated with each tag by using --show-files.

-s, --show-files
    Show the files associated with each tag. This option is ONLY available WITH the --list option.

-a, --add=TAG
    Add a tag with the name TAG. If no FILE arguments are specified, the tag is simply created (if it didn't already exist) and no files are associated with it. Multiple FILE arguments can be specified.

-d, --delete=TAG
    Delete a tag with the name TAG. If no FILE arguments are specified, the tag is deleted for ALL files. If FILE arguments are specified, only those files have the TAG deleted.

-V, --version
    Print version.

SEE ALSO
tracker-store(1), tracker-sparql(1), tracker-search(1), tracker-info(1).